package com.mygrouptasks.thiscontent.repository;

import com.mygrouptasks.thiscontent.entities.Users;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface UsersRepository extends CrudRepository<Users,String> {


    //@Query(value="select u from Users u where u.user_id =:id")
    //Users findById(@Param("id") int id);


    @Query(value="select u from Users u where u.username =:username")
    Users findByUsername(@Param("username") String username);


}


