package com.mygrouptasks.thiscontent.service;

import com.mygrouptasks.thiscontent.repository.AuthoritiesRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AuthoritiesService {

    @Autowired
    private AuthoritiesRepository authoritiesRepository;

    public void saveAuthority(String username, String role) {
        authoritiesRepository.insertIntoAuthorities(username,role);
        System.out.println("- authority saved with username <" + username + ">, role <" + role + ">");
    }

    public String returnRole(String username) {
        return authoritiesRepository.findAuthoritiesByUsername(username).getAuthority();
    }
}
